SectionLineSegmentPointListBuilder Class

class NXOpen.Drawings.SectionLineSegmentPointListBuilder

Bases: NXOpen.TaggedObject

Represents SectionLineSegmentPointListBuilder class.

This class maintains a list of NXOpen.Drawings.SectionLineSegmentPointBuilder objects and manages them.

New in version NX10.0.0.

Properties

Property Description
Length Returns the number of NXOpen.Drawings.SectionLineSegmentPointBuilder objects in the list
Tag Returns the Tag for this object.

Property Detail

Length

SectionLineSegmentPointListBuilder.Length

Returns the number of NXOpen.Drawings.SectionLineSegmentPointBuilder objects in the list

-------------------------------------

Getter Method

Signature Length

Returns:
Return type:int

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

Method Detail

AddCutSegment

SectionLineSegmentPointListBuilder.AddCutSegment

Overloaded method AddCutSegment

  • AddCutSegment(location)
  • AddCutSegment(location, referencedCutSegment)

-------------------------------------

Creates a new NXOpen.Drawings.SectionLineSegmentPointBuilder object

Signature AddCutSegment(location)

Parameters:location (NXOpen.Point) –
Returns:
Return type:NXOpen.Drawings.SectionLineSegmentPointBuilder

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Creates a new NXOpen.Drawings.SectionLineSegmentPointBuilder In case of point to point section line ,new segment is added at location prior to reference cut segment specified. If reference cut segment is not specified , new segment is added prior to last arrow segment.

Signature AddCutSegment(location, referencedCutSegment)

Parameters:
Returns:

Return type:

NXOpen.Drawings.SectionLineSegmentPointBuilder

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Append

SectionLineSegmentPointListBuilder.Append

Appends NXOpen.Drawings.SectionLineSegmentPointBuilder object to the end of the list

Signature Append(pointData)

Parameters:pointData (NXOpen.Drawings.SectionLineSegmentPointBuilder) –

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

Clear

SectionLineSegmentPointListBuilder.Clear

Deletes all NXOpen.Drawings.SectionLineSegmentPointBuilder objects from the list

Signature Clear()

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

CreateSectionLineSegmentPointBuilder

SectionLineSegmentPointListBuilder.CreateSectionLineSegmentPointBuilder

Creates a new NXOpen.Drawings.SectionLineSegmentPointBuilder object

Signature CreateSectionLineSegmentPointBuilder()

Returns:
Return type:NXOpen.Drawings.SectionLineSegmentPointBuilder

New in version NX10.0.0.

License requirements: None.

Delete

SectionLineSegmentPointListBuilder.Delete

Overloaded method Delete

  • Delete(point)
  • Delete(index)

-------------------------------------

Deletes a given NXOpen.Drawings.SectionLineSegmentPointBuilder object from the list

Signature Delete(point)

Parameters:point (NXOpen.Drawings.SectionLineSegmentPointBuilder) –

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

-------------------------------------

Deletes NXOpen.Drawings.SectionLineSegmentPointBuilder object of a certain index from the list

Signature Delete(index)

Parameters:index (int) –

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

-------------------------------------

FindItem

SectionLineSegmentPointListBuilder.FindItem

Returns NXOpen.Drawings.SectionLineSegmentPointBuilder object at the input index.

May be NULL if not found.

Signature FindItem(index)

Parameters:index (int) – index of object to return
Returns:object found at input index
Return type:NXOpen.Drawings.SectionLineSegmentPointBuilder

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

GetContents

SectionLineSegmentPointListBuilder.GetContents

Queries all the NXOpen.Drawings.SectionLineSegmentPointBuilder objects

Signature GetContents()

Returns:
Return type:list of NXOpen.Drawings.SectionLineSegmentPointBuilder

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

GetIndex

SectionLineSegmentPointListBuilder.GetIndex

Finds index of NXOpen.Drawings.SectionLineSegmentPointBuilder object in the list

Signature GetIndex(point)

Parameters:point (NXOpen.Drawings.SectionLineSegmentPointBuilder) –
Returns:Equals -1 if not found
Return type:int

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

Insert

SectionLineSegmentPointListBuilder.Insert

Inserts NXOpen.Drawings.SectionLineSegmentPointBuilder object in the list before a given position

Signature Insert(insertBeforeIndex, point)

Parameters:

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

MoveSegment

SectionLineSegmentPointListBuilder.MoveSegment

Moves a given NXOpen.Drawings.SectionLineSegmentPointBuilder object from the list

Signature MoveSegment(point, pointspecified)

Parameters:

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

SetContents

SectionLineSegmentPointListBuilder.SetContents

Sets array of NXOpen.Drawings.SectionLineSegmentPointBuilder objects in the list.

Signature SetContents(points)

Parameters:points (list of NXOpen.Drawings.SectionLineSegmentPointBuilder) –

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)